<?php 
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>



<center>
<h3 class="maketitle">Geometry Proofs, Insert/Update</h3>
</center>



<?php
require('loginsub.php');
?>

<?php

// cria uma pesquisa
$sql = "SELECT demId,teoId,proverId
          FROM demonstrations
      ORDER BY demId";
$resultado = mysql_query($sql,$ligacao);


// O números de campos obtidos
$ncampos =mysql_num_fields($resultado);
$nlinhas =mysql_num_rows($resultado);

echo "<center>";
echo "<h4 class='maketitle'>$nlinhas Geometry Proofs</h4>";
echo "</center>";

print "<p>&nbsp;</p>";
print "<center>";
print "<table border=1>\n";
print "<tr>\n";
print " <td colspan=8 STYLE='background:#efefef' align='right'><a href=insertProof.php>Insert a new Geometric Proof</a></td>\n";
print "</tr>\n\n";
print "<tr>\n";
print "<th>Proof Id</th><th>Theorem  Id</th><th>Theorem Name</th><th>Prover Name</th><th>Prover Version</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th>";
print "</tr>\n\n";
while ($linha = mysql_fetch_assoc($resultado)){
  print "<tr>\n";
  $pDemId=trim($linha['demId']);
  $pTeoId=trim($linha['teoId']);
  $pProverId=trim($linha['proverId']);
  // Obtém a informação acerca do Teorema e do Demonstrador
  $sqlThm = "SELECT teoName
               FROM theorems
              WHERE teoId='$pTeoId'";
  $resultadoThm = mysql_query($sqlThm,$ligacao);
  $linhaThm = mysql_fetch_assoc($resultadoThm);
  $pThmName = trim($linhaThm['teoName']);
  $sqlPrv = "SELECT name,version
               FROM provers
              WHERE proverId=$pProverId";
  $resultadoPrv = mysql_query($sqlPrv,$ligacao);
  $linhaPrv = mysql_fetch_assoc($resultadoPrv);
  $pPrvName = trim($linhaPrv['name']);
  $pPrvVersion = trim($linhaPrv['version']);
  print " <td align=center>$pDemId</td>\n"; 
  print " <td>$pTeoId</td>\n";
  print " <td>$pThmName</td>\n";
  print " <td>$pPrvName</td>\n";
  print " <td>$pPrvVersion</td>\n";
  print " <td>&nbsp;</td>\n";
  print " <td><a href=seedetailsProof.php?argumento=$pDemId>See details</a></td>\n";
  print " <td><a href=updateProof.php?argumento=$pDemId>update</a></td>\n";
  print"</tr>\n\n";
 }
print "</table>\n";
print "</center>";
print "<p>&nbsp;</p>";
?>




<?php
  require('footer.inc');
?>
